org.apache.olingo.odata2.api.edm

## Interface EdmAssociation

- All Superinterfaces:
    EdmAnnotatable, EdmNamed, EdmType
  All Known Implementing Classes:
    EdmAssociationImpl

      public interface EdmAssociation
      extends EdmType, EdmAnnotatable

  Do not implement this interface or derive from class.
    A CSDL Association element

    EdmAssociation defines the relationship of two entity types.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAssociationEnd` | `getEnd(String role)` Get the `EdmAssociationEnd` by role
    `EdmAssociationEnd` | `getEnd1()` Get the `EdmAssociationEnd` for end1
    `EdmAssociationEnd` | `getEnd2()` Get the `EdmAssociationEnd` for end2
    `EdmReferentialConstraint` | `getReferentialConstraint()` Get the `EdmReferentialConstraint`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmType

      `getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getEnd

          EdmAssociationEnd getEnd(String role)
                            throws EdmException

      Get the `EdmAssociationEnd` by role
      Parameters:
        `role` -
      Returns:
        `EdmAssociationEnd`
      Throws:
        `EdmException`

    - #### getEnd1

          EdmAssociationEnd getEnd1()
                             throws EdmException

      Get the `EdmAssociationEnd` for end1
      Returns:
        `EdmAssociationEnd`
      Throws:
        `EdmException`

    - #### getEnd2

          EdmAssociationEnd getEnd2()
                             throws EdmException

      Get the `EdmAssociationEnd` for end2
      Returns:
        `EdmAssociationEnd`
      Throws:
        `EdmException`

    - #### getReferentialConstraint

          EdmReferentialConstraint getReferentialConstraint()
                                                     throws EdmException

      Get the `EdmReferentialConstraint`
      Returns:
        `EdmReferentialConstraint`
      Throws:
        `EdmException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.